package com.boman.report.controller;

import com.boman.domain.dto.AjaxResult;
import com.boman.report.service.IImportServcie;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * 报表导入
 */
@RestController
@RequestMapping("/cs/file")
public class ImportController {

    @Autowired
    private IImportServcie importServcie;

    /**
     * 功能描述: 导入接口
     *
     * @param multipartFiles MultipartFile
     * @param tableName     tableName
     * @return void
     */
    @PostMapping("/import")
    public AjaxResult importData(List<MultipartFile> multipartFiles, String tableName) {
        try {
            return importServcie.importData(multipartFiles, tableName);
        } catch (Exception e) {
            e.printStackTrace();
        }
        return AjaxResult.error("失败");
    }
}
