package com.boman.report.controller;

import com.boman.common.core.web.controller.BaseController;
import com.boman.common.core.web.page.TableDataInfo;
import com.boman.domain.dto.AjaxResult;
import com.boman.domain.entity.StatisticReportPersonnel;
import com.boman.report.service.StatisticReportService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import com.boman.domain.entity.StatisticReport;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("/statistic/report")
public class StatisticReportController extends BaseController {

    @Autowired
    private StatisticReportService statisticReportService;
    @Autowired
    private StatisticReportService reportService;

    /**
     * 获取报表id集合
     *
     * @return
     */
    @GetMapping("/datas")
    public AjaxResult datas() {
        return AjaxResult.success(reportService.datas());
    }

    /**
     * 列表
     * @return
     */
    @RequestMapping("/list")
    public TableDataInfo list(@RequestBody StatisticReport report) {
        startPage();
        List<StatisticReport> list = reportService.selectList(report);
        return getDataTable(list);
    }

    @RequestMapping("/saveOrUpdate")
    public AjaxResult saveOrUpdate(@RequestBody StatisticReport report) {
        return reportService.saveOrUpdate(report);
    }


    /**
     * 获取报表详情
     * @param id
     * @return
     */
    @GetMapping(value = "/{id}")
    public AjaxResult getReportInfo(@PathVariable Long id)
    {
        statisticReportService.getReportInfo(id);
        return AjaxResult.success();
    }
}
