package com.boman.report.service.impl;

import com.boman.domain.GenTable;
import com.boman.report.mapper.TableMapper;
import com.boman.report.service.ITableService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class TableServiceImpl implements ITableService {

    @Autowired
    private TableMapper mapper;

    /**
     * 查询业务列表
     *
     * @param genTable 业务信息
     * @return 业务集合
     */
    @Override
    public Integer selectCount(GenTable genTable) {
        return mapper.selectCount(genTable.getTableName(), genTable.getTableComment());
    }

    /**
     * 查询业务列表
     *
     * @param genTable 业务信息
     * @return 业务集合
     */
    @Override
    public List<GenTable> selectList(GenTable genTable) {
        return mapper.selectList(genTable.getTableName(), genTable.getTableComment());
    }
}
